summaryrefslogtreecommitdiffstats
path: root/libraries/libsmi
diff options
context:
space:
mode:
author Dušan Stefanović <stefanovic.dusan@gmail.com>2010-05-11 22:54:13 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:13 +0200
commitf356df990acbcedfd04a6b016d96940a4482271c (patch)
treea6ddc790cc796af233968ebc3bc268e7f04f7be4 /libraries/libsmi
parentf0611ab0aacccaf178d4613004bdfd619165a4de (diff)
downloadslackbuilds-f356df990acbcedfd04a6b016d96940a4482271c.tar.gz
slackbuilds-f356df990acbcedfd04a6b016d96940a4482271c.tar.xz
libraries/libsmi: Added to 12.1 repository
Diffstat (limited to 'libraries/libsmi')
-rw-r--r--libraries/libsmi/README8
-rw-r--r--libraries/libsmi/libsmi.SlackBuild72
-rw-r--r--libraries/libsmi/libsmi.info8
-rw-r--r--libraries/libsmi/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/libraries/libsmi/README b/libraries/libsmi/README
new file mode 100644
index 0000000000..e81496e1de
--- /dev/null
+++ b/libraries/libsmi/README
@@ -0,0 +1,8 @@
+libsmi - A Library to Access SMI MIB Information
+
+This software comprises :
+ - a library to parse and maintain MIB and PIB modules,
+ - a set of tools based on the library to check, convert, and
+ compare MIB and PIB modules.
+ - a collection of all published IETF and IANA Standards Track
+ MIB and PIB modules and some more.
diff --git a/libraries/libsmi/libsmi.SlackBuild b/libraries/libsmi/libsmi.SlackBuild
new file mode 100644
index 0000000000..e4f93b85fa
--- /dev/null
+++ b/libraries/libsmi/libsmi.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for libsmi
+
+# Written by Dušan Stefanović <stefanovic.dusan@gmail.com>
+
+PRGNAM=libsmi
+VERSION=${VERSION:-0.4.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type d -exec chmod 0755 {} \;
+find . -type d -exec chmod a-s {} \;
+find . \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README TODO THANKS ANNOUNCE ChangeLog COPYING doc/*.txt doc/smi* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libsmi/libsmi.info b/libraries/libsmi/libsmi.info
new file mode 100644
index 0000000000..133cfc9128
--- /dev/null
+++ b/libraries/libsmi/libsmi.info
@@ -0,0 +1,8 @@
+PRGNAM="libsmi"
+VERSION="0.4.8"
+HOMEPAGE="http://www.ibr.cs.tu-bs.de/projects/libsmi/"
+DOWNLOAD="ftp://ftp.ibr.cs.tu-bs.de/pub/local/libsmi/libsmi-0.4.8.tar.gz"
+MD5SUM="760b6b1070738158708649ed2c63425e"
+MAINTAINER="Dušan Stefanović"
+EMAIL="stefanovic.dusan@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libsmi/slack-desc b/libraries/libsmi/slack-desc
new file mode 100644
index 0000000000..d6ab52e5ba
--- /dev/null
+++ b/libraries/libsmi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libsmi: libsmi - A Library to Access SMI MIB Information
+libsmi:
+libsmi: This software comprises :
+libsmi: - a library to parse and maintain MIB and PIB modules,
+libsmi: - a set of tools based on the library to check, convert, and
+libsmi: compare MIB and PIB modules.
+libsmi: - a collection of all published IETF and IANA Standards Track
+libsmi: MIB and PIB modules and some more.
+libsmi:
+libsmi: Homepage: http://www.ibr.cs.tu-bs.de/projects/libsmi/
+libsmi: